Computer Configuration

Location: Computer Configuration\

Description:
Contains settings that may only be used to configure Computers.

    ADM File: wmplay.adm


Do Not Show First Use Dialog Boxes

Requirements: Windows Media Player 9 Series and later.

Location: Computer Configuration\Windows Components\Windows Media Player\

Description:
Do Not Show First Use Dialog Boxes

This policy prevents the Privacy Options and Installation Options dialog boxes from being displayed the first time a user starts Windows Media Player.

This policy prevents the dialog boxes which allow users to select privacy, file types, and other desktop options from being displayed when the Player is first started. Some of the options can be configured by using other Windows Media Player group policies.

When this policy is not configured or disabled, the dialog boxes are displayed when the user starts the Player for the first time.

ADM File: wmplay.adm


Prevent Desktop Shortcut Creation

Requirements: Windows Media Player 9 Series and later.

Location: Computer Configuration\Windows Components\Windows Media Player\

Description:
This policy prevents a shortcut icon for the Player from being added to the user's desktop.

When this policy is not configured or disabled, users can choose whether to add the Player shortcut icon to their desktops.

ADM File: wmplay.adm


Prevent Quick Launch Toolbar Shortcut Creation

Requirements: Windows Media Player 9 Series and later.

Location: Computer Configuration\Windows Components\Windows Media Player\

Description:
This policy prevents a shortcut for the Player from being added to the Quick Launch bar.

When this policy is not configured or disabled, the user can choose whether to add the shortcut for the Player to the Quick Launch bar.

ADM File: wmplay.adm


Prevent Automatic Updates

Requirements: Windows Media Player 9 Series and later.

Location: Computer Configuration\Windows Components\Windows Media Player\

Description:
Prevents users from being prompted to update Windows Media Player.

This policy prevents the Player from being updated and prevents users with administrator rights from being prompted to update the Player if an updated version is available. The Check for Player Updates command on the Help menu in the Player is not available. In addition, none of the time intervals in the Check for updates section on the Player tab are selected or available.

When this policy is not configured or disabled, Check for Player Updates is available only to users with administrator rights and they may be prompted to update the Player if an updated version is available. By default, users with administrator rights can select how frequently updates are checked for.

Users without administrator rights do not see Check for Player Updates and are never prompted to update the Player even without this policy.

ADM File: wmplay.adm


Prevent Video Smoothing

Requirements: Windows Media Player 9 Series and later.

Location: Computer Configuration\Windows Components\Windows Media Player\

Description:
Prevents video smoothing from occurring.

This policy prevents video smoothing, which can improve video playback on computers with limited resources, from occurring. In addition, the Use Video Smoothing check box in the Video Acceleration Settings dialog box in the Player is cleared and is not available.

When this policy is disabled, video smoothing can occur if necessary, and the Use Video Smoothing check box is selected and is not available.

When this policy is not configured, video smoothing can occur if necessary. Users can change the setting for the Use Video Smoothing check box.

Video smoothing is available only on the Windows XP Home Edition and Windows XP Professional operating systems.

ADM File: wmplay.adm


User Configuration

Location: User Configuration\

Description:
Contains settings that may only be used to configure Users.

    ADM File: wmplay.adm


Prevent CD and DVD Media Information Retrieval

Requirements: Windows Media Player 9 Series and later.

Location: User Configuration\Windows Components\Windows Media Player\

Description:
Prevents media information for CDs and DVDs from being retrieved from the Internet.

This policy prevents the Player from automatically obtaining media information from the Internet for CDs and DVDs played by users. In addition, the Retrieve media information for CDs and DVDs from the Internet check box on the Privacy Options tab in the first use dialog box and on the Privacy tab in the Player are not selected and are not available.

When this policy is not configured or disabled, users can change the setting of the Retrieve media information for CDs and DVDs from the Internet check box.

ADM File: wmplay.adm


Prevent Music File Media Information Retrieval

Requirements: Windows Media Player 9 Series and later.

Location: User Configuration\Windows Components\Windows Media Player\

Description:
Prevents media information for music files from being retrieved from the Internet.

This policy prevents the Player from automatically obtaining media information for music files such as Windows Media Audio (WMA) and MP3 files from the Internet. In addition, the Update my music files (WMA and MP3 files) by retrieving missing media information from the Internet check box in the first use dialog box and on the Privacy and Media Library tabs in the Player are not selected and are not available.

When this policy is not configured or disabled, users can change the setting of the Update my music files (WMA and MP3 files) by retrieving missing media information from the Internet check box.

ADM File: wmplay.adm


Hide Privacy Tab

Requirements: Windows Media Player 9 Series and later.

Location: User Configuration\Windows Components\Windows Media Player\User Interface\

Description:
Hides the Privacy tab.

This policy hides the Privacy tab in Windows Media Player. The default privacy settings are used for the options on the Privacy tab unless the user changed the settings previously.

The Update my music files (WMA and MP3 files) by retrieving missing media information from the Internet check box is on the Privacy and Media Library tabs. When this policy is enabled, the Update my music files (WMA and MP3 files) by retrieving missing media information from the Internet check box on the Media Library tab is available, even though the Privacy tab is hidden, unless the Prevent Music File Media Information Retrieval policy is enabled.

When this policy is not configured or disabled, the Privacy tab is not hidden, and users can configure any privacy settings not configured by other polices.

ADM File: wmplay.adm


Hide Security Tab

Requirements: Windows Media Player 9 Series and later.

Location: User Configuration\Windows Components\Windows Media Player\User Interface\

Description:
Hides the Security tab.

This policy hides the Security tab in Windows Media Player. The default security settings for the options on the Security tab are used unless the user changed the settings previously.

Even though this policy is enabled, users can still change security and zone settings by using Internet Explorer unless these settings have been hidden or disabled by Internet Explorer policies.

When this policy is not configured or disabled, users can configure the security settings on the Security tab.

ADM File: wmplay.adm


Set and Lock Skin

Requirements: Windows Media Player for Windows XP and later.

Location: User Configuration\Windows Components\Windows Media Player\User Interface\

Description:
Enables Windows Media Player to be shown only in skin mode, using a specified skin.

This policy displays the Player only in skin mode by using the skin specified in the Skin box on the Setting tab.

You must use the complete file name for the skin (for example, skin_name.wmz), and the skin must be installed in the %programfiles%\Windows Media Player\Skins Folder on a user's computer. If the skin is not installed on a user's computer, or if the Skin box is blank, the Player opens by using the Corporate skin. The only way to specify the Corporate skin is to leave the skin box blank.

A user has access only to the Player features that are available with the specified skin. Users cannot switch the Player to full mode and cannot choose a different skin.

When this policy is not configured or disabled, users can display the Player in full or skin mode and have access to all available features of the Player.

ADM File: wmplay.adm


Do Not Show Anchor

Requirements: Windows Media Player for Windows XP and later.

Location: User Configuration\Windows Components\Windows Media Player\User Interface\

Description:
Prevents the anchor window from being displayed when Windows Media Player is in skin mode.

This policy hides the anchor window when the Player is in skin mode. In addition, the option on the Player tab in the Player that enables users to choose whether the anchor window displays is not available.

When this policy is not configured or disabled, users can show or hide the anchor window when the Player is in skin mode by using the Player tab in the Player.

When this policy is not configured and the Set and Lock Skin policy is enabled, some options in the anchor window are not available.

ADM File: wmplay.adm


Prevent Codec Download

Requirements: Windows Media Player for Windows XP and later.

Location: User Configuration\Windows Components\Windows Media Player\Playback\

Description:
ERROR=(CodecDownload)

ADM File: wmplay.adm


Allow Screen Saver

Requirements: Windows Media Player 9 Series and later.

Location: User Configuration\Windows Components\Windows Media Player\Playback\

Description:
Enables a screen saver to interrupt playback.

This policy displays a screen saver during playback of digital media according to the options selected on the Screen Saver tab in the Display Properties dialog box in Control Panel. The Allow screen saver during playback check box on the Player tab in the Player is selected and is not available.

When this policy is disabled, a screen saver does not interrupt playback even if users have selected a screen saver. The Allow screen saver during playback check box is cleared and is not available.

When this policy is not configured, users can change the setting for the Allow screen saver during playback check box.

ADM File: wmplay.adm


Hide Network Tab

Requirements: Windows Media Player for Windows XP and later.

Location: User Configuration\Windows Components\Windows Media Player\Networking\

Description:
Hide Network Tab

ADM File: wmplay.adm


Streaming Media Protocols

Requirements: Windows Media Player for Windows XP and later.

Location: User Configuration\Windows Components\Windows Media Player\Networking\

Description:
Specifies that the selected protocols are used when receiving streaming media from a server running Windows Media Services.

This policy specifies that the protocols selected on the Setting tab can be used to receive streaming media from a Windows Media server. This policy also specifies that multicast streams can be received if the Multicast check box on the Setting tab is selected.

If the UDP check box is selected on the Setting tab and the UDP Ports box is blank, Windows Media Player uses default ports when playing content from a Windows Media server. If the UDP check box is not selected, the information in the UDP Ports box is ignored.

If none of the protocols are selected when this policy is enabled, content from a Windows Media server cannot be played.

When this policy is enabled or disabled, the Streaming protocols area of the Network tab in the Player is not available. If the Hide Network Tab policy is enabled, the entire Network tab is hidden.

If this policy is disabled, the Player cannot receive streaming media from a Windows Media Server.

If it is necessary to control the kind of streaming media that is received, it is recommended that other methods, such as firewalls, be used.

If this policy is not configured and the Hide Network Tab policy is not enabled, users can change the settings in the Streaming protocols section of the Network tab.

ADM File: wmplay.adm


Configure HTTP Proxy

Requirements: Windows Media Player for Windows XP and later.

Location: User Configuration\Windows Components\Windows Media Player\Networking\

Description:
Specifies the HTTP proxy settings for Windows Media Player.

This policy specifies the proxy settings for the HTTP protocol. When this policy is enabled, a proxy type (Autodetect, Custom, or Use browser proxy settings) must be selected. Autodetect means that the proxy settings are automatically detected. Custom means that unique proxy settings are used. Use browser proxy settings means that the proxy settings of the browser are used.

If the Custom proxy type is selected, the rest of the options on the Setting tab must be specified because no default settings are used for the proxy. The options are ignored if Autodetect or Browser is selected.

The Configure button on the Network tab in the Player is not available for the HTTP protocol and the proxy cannot be configured. If the Hide Network Tab policy is also enabled, the entire Network tab is hidden.

This policy is ignored if the Streaming Media Protocols policy is enabled and HTTP is not selected.

When this policy is disabled, the HTTP proxy server cannot be used and the user cannot configure the HTTP proxy.

When this policy is not configured, users can configure the HTTP proxy settings.

ADM File: wmplay.adm


Configure MMS Proxy

Requirements: Windows Media Player for Windows XP and later.

Location: User Configuration\Windows Components\Windows Media Player\Networking\

Description:
Specifies the MMS proxy settings for Windows Media Player.

This policy specifies the proxy settings for the MMS protocol. When this policy is enabled, a proxy type (Autodetect or Custom) must be selected. Autodetect means that the proxy settings are automatically detected. Custom means that unique proxy settings are used.

If the Custom proxy type is selected, the rest of the options on the Setting tab must be specified; otherwise, the default settings are used. The options are ignored if Autodetect is selected.

The Configure button on the Network tab in the Player is not available and the protocol cannot be configured. If the Hide Network Tab policy is also enabled, the entire Network tab is hidden.

This policy is ignored if the Streaming Media Protocols policy is enabled and Multicast is not selected.

When this policy is disabled, the MMS proxy server cannot be used and users cannot configure the MMS proxy settings.

When this policy is not configured, users can configure the MMS proxy settings.

ADM File: wmplay.adm


Configure RTSP Proxy

Requirements: Windows Media Player 9 Series and later.

Location: User Configuration\Windows Components\Windows Media Player\Networking\

Description:
Specifies the RTSP proxy settings for Windows Media Player.

This policy specifies the proxy settings for the RTSP protocol. When this policy is enabled, a proxy type (Autodetect or Custom) must be selected. Autodetect means that the proxy settings are automatically detected. Custom means that unique proxy settings are used.

If the Custom proxy type is selected, the rest of the options on the Setting tab must be specified; otherwise, the default settings are used. The options are ignored if Autodetect is selected.

The Configure button on the Network tab in the Player is not available and the protocol cannot be configured. If the Hide Network Tab policy is also enabled, the entire Network tab is hidden.

When this policy is disabled, the RTSP proxy server cannot be used and users cannot change the RTSP proxy settings.

When this policy is not configured, users can configure the RTSP proxy settings.

ADM File: wmplay.adm


Configure Network Buffering

Requirements: Windows Media Player for Windows XP and later.

Location: User Configuration\Windows Components\Windows Media Player\Networking\

Description:
Specifies whether network buffering uses the default or a specified number of seconds.

This policy specifies that the default network buffering is used or specifies the number of seconds streaming media is buffered before it is played.

If Custom is selected on the Setting tab, the number of seconds, up to 60, that streaming media is buffered, must be specified. If Default is selected, the default is used and the number of seconds that is specified is ignored.

The Use default buffering and Buffer options on the Performance tab in the Player are not available.

When this policy is not configured or disabled, users can change the buffering options on the Performance tab.

ADM File: wmplay.adm


Administrative Templates Help

 Group Policy Admin Templates

Group Policy settings for Windows Media Player

ADM File: wmplay.adm

Welcome to the administrative template help for Group Policy. Also see the main Group Policy help.

  • Computer Configuration
  • User Configuration